import argparse
from posixpath import split
from sys import stdin


parser = argparse.ArgumentParser(
    description='Trim the verification output to a dimacs format (without number of clauses and variables).')
parser.add_argument('--inputFile', "-i", type=str,
                    help='the input file for checking', required=True)

args = parser.parse_args()

inputFile = open(args.inputFile, "r")

nClauses = 0
nVariabels = 0

delete = True
for line in inputFile:
    if line.startswith("c\t"):
        continue
    if delete:
        if line.startswith("clauses:"):
            delete = False
        continue

    nVariabels = max(
        max(list(map(int, line.split(";")[0].split()))), nVariabels)
    nClauses = nClauses + 1

print("p cnf", nVariabels, nClauses)

inputFile = open(args.inputFile, "r")

delete = True

for line in inputFile:
    if line.startswith("c\t"):
        continue
    if delete:
        if line.startswith("clauses:"):
            delete = False
        continue

    print(line.split(";")[0])
